// --------------------------------------------------------
// Copyright (c)
//
// contributions by Ansgar
//                  ansgar.radermacher@cea.fr
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef SENDRECEIVE_SENDSERVER_H
#define SENDRECEIVE_SENDSERVER_H

/************************************************************
 SendServer class header
 ************************************************************/

#include "sendReceive/Pkg_sendReceive.h"

#include "rclcpp_lifecycle/lifecycle_node.hpp"
#include "simple_msgs/msg/map.hpp"

// Include from Include stereotype (header)
#include <rclcpp/rclcpp.hpp>

// End of Include stereotype (header)

namespace ros2Library {
namespace rclcpp {
class CallbackGroup;
}
}
namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}
namespace ros2Library {
namespace rclcpp {
class Subscription;
}
}

namespace sendReceive {

/************************************************************/
/**
 * 
 */
class SendServer: public rclcpp_lifecycle::LifecycleNode {
public:

  /**
   * 
   */
  rclcpp::CallbackGroup::SharedPtr cbg_Response_;

  /**
   * 
   */
  rclcpp::Subscription<simple_msgs::msg::Map>::SharedPtr map_recv_;

  /**
   * 
   * @param commobj 
   */
  void fReceive(const simple_msgs::msg::Map::SharedPtr /*in*/commobj);

  /**
   * 
   * @param options 
   */
  SendServer(rclcpp::NodeOptions /*in*/options);

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace sendReceive

/************************************************************
 End of SendServer class header
 ************************************************************/

#endif
